#!/bin/sh

msg()
{
	echo "$1"
}

ROOT=$1
LIBDIR=$2
mkdir -p ${ROOT}/usr/lib ${ROOT}/etc ${ROOT}${LIBDIR}/asterisk/modules
export PATH=/usr/sbin:/sbin:$PATH

export OPT_PURGE="no"
export OPT_NO_INSTALL="no"
export OPT_UNCOMPRESS_ONLY="no"
export OPT_REPACKAGE="no"
export OPT_VERBOSE="no"

export OPT_BUILD="auto"
export OPT_ASTERISK="auto"

export OPT_SKIP_CHAN_KHOMP="no"

export OPT_SKIP_KERNEL_MOD="yes"
export OPT_SKIP_WIZARD="yes"

export PACKDIR=.
if [ $LIBDIR == "/usr/lib64" ] ; then
    export arch_numbits=64
else
    export arch_numbits=""
fi

source ./functions-generic.sh
source ./instalador-k3l.sh && k3l_install
source ./instalador-channel.sh && channel_install
